<div class="container">

	<div class="row">
	  <h2 class="col-md-offset-1 col-md-6">Votre calendrier</h2>
	</div>
	<div class="row">
	  <p class="col-md-offset-1 col-md-6">Ici vous pouvez voir et modifier les périodes où vous avez besoin d'un remplaçant.</p>
	</div>

    <div class="row">
        <div class="col-md-offset-1 col-md-6 calendrier">
			<h2>{{ titre }}</h2>
			<div class="span8 calendar" ng-model="eventSources" calendar="myCalendar" ui-calendar="uiConfig.calendar"></div><br><br><br>
			<h2>Modifier</h2>
			<p>Vous pouvez déplacer une période en fesant un cliquer-glisser. Vous pouvez également modifier la durée en cliquant sur la bordure droite d'une période et en l'allongeant ou en la réduisant.</p>
        </div>
        <div class="col-md-4">

			<h2>Ajouter une période</h2>

			<form id="dates" name="form" class="form-group" ng-submit="addDate()">
			    <label for="debut">Debut</label>
			    <input ng-model="periode.debut" class="form-control" type="date" id="debut" name="debut" placeholder="Date de debut (AAAA-MM-JJ)"></input>
			    <label for="fin">Fin</label>
			    <input ng-model="periode.fin" class="form-control" type="date" id="fin" name="fin" placeholder="Date de fin (AAAA-MM-JJ)"></input>
			    <div ng-show="erreurAddDate"><br><p class="alert alert-danger">La période définis n'est pas correcte.</p></div><br>
			    <button class="btn btn-success" type="submit">Valider</button>
			</form>

			<h2>Attribuer une période à un remplaçant</h2>
			<form ng-show="evenementSelectionner" id="dates" name="form" class="form-group" ng-submit="changeRempla()">
				<p class="alert alert-info">Vous avez selectionner la période du {{ evenementDebut }} et {{ evenementFin }} .
					<span ng-show="remplacantActuel()"> <br> Le remplaçant actuellement attribué est <a style="font-weight:bold" href="/profil?idCompte={{remplacantActuelString.idCompte}}">{{remplacantActuelString.prenom}} {{remplacantActuelString.nom}}</a>. Vous pouvez attribuer un autre remplaçant à cette période en insérant et en validant l'adresse email du nouveau remplaçant dans le formulaire suivant.</span>
					{{ remplacantAbsentString }}
				</p>

			    <label for="email">Email du remplaçant</label>
			    <input ng-model="periode.email" class="form-control" type="email" id="email" name="email" placeholder="Adresse mail"></input>
			    <div ng-show="erreurChangeRempla"><br><p class="alert alert-danger">Aucun remplaçant sur site n'a cette adresse mail.</p></div><br>
			    <button class="btn btn-success" type="submit">Valider</button>
			</form>
			<div ng-show="!evenementSelectionner">
				<p class="alert alert-warning"> Vous devez cliquer sur une période pour pouvoir l'attribuer.</p>
			</div>

			<h2>Supprimer</h2>
			<div ng-show="evenementSelectionner">
				<br><p class="alert alert-danger">Vous avez selectionner la période du {{ evenementDebut }} et {{ evenementFin }} . Ça suppression sera définitive.</p>
				<button type="button" class="btn btn-danger" ng-click="supprimerEvenement()">Supprimer cette période</button><br><br>
			</div>
			<div ng-show="!evenementSelectionner">
				<p class="alert alert-warning"> Vous devez cliquer sur une période pour pouvoir la supprimer.</p>
			</div>

        </div>
    </div>
</div>